#include "Paddle.h"
#include <iostream>

Paddle::Paddle(double y)
{
	rectangle.setPosition(350,y);
	rectangle.setSize(sf::Vector2f(100,10));
	rectangle.setOutlineThickness(1);
	rectangle.setOutlineColor(sf::Color(0,0,0));
}
void Paddle::updatePosition(double x)
{
	if (x>50 && x<750)
	rectangle.setPosition(x-50,rectangle.getPosition().y);
}
void Paddle::updatePositionDelta(double delta)
{
	updatePosition(rectangle.getPosition().x+delta+50);
}
void Paddle::draw(sf::RenderTarget& target)
{
	target.draw(rectangle);
}
sf::FloatRect Paddle::getBoundingBox() const
{
	return rectangle.getGlobalBounds();
}
